Poblemm Description :

System Center Virtual Machine Manager 2016 Agent Installation can fail with the following error message. “There is a problem with this Windows Installer package. A DLL required for this install to complete could not be run. Contact your support personnel or package vendor”.

Solution :

The installation of vcredist_x64.exe was triggered automatically by the VMM Agent installer in older versions of System Center Virtual Machine Manager 2016 . In VMM 2016 vcredist_x64.exe needs to be installed before the VMM 2016 Agent installation.

install_could_not_be_run

vcredist_x64-exe

Good luck !